{
  "400": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Bad request"
  },
  "401": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Unauthorized"
  },
  "403": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Forbidden"
  },
  "404": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Not found"
  },
  "410": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "errors": {
              "items": {
                "properties": {
                  "error_type": {
                    "enum": [
                      "FRONTEND_CSRF_ERROR",
                      "FRONTEND_NETWORK_ERROR",
                      "FRONTEND_TIMEOUT_ERROR",
                      "GENERIC_DB_ENGINE_ERROR",
                      "COLUMN_DOES_NOT_EXIST_ERROR",
                      "TABLE_DOES_NOT_EXIST_ERROR",
                      "SCHEMA_DOES_NOT_EXIST_ERROR",
                      "CONNECTION_INVALID_USERNAME_ERROR",
                      "CONNECTION_INVALID_PASSWORD_ERROR",
                      "CONNECTION_INVALID_HOSTNAME_ERROR",
                      "CONNECTION_PORT_CLOSED_ERROR",
                      "CONNECTION_INVALID_PORT_ERROR",
                      "CONNECTION_HOST_DOWN_ERROR",
                      "CONNECTION_ACCESS_DENIED_ERROR",
                      "CONNECTION_UNKNOWN_DATABASE_ERROR",
                      "CONNECTION_DATABASE_PERMISSIONS_ERROR",
                      "CONNECTION_MISSING_PARAMETERS_ERROR",
                      "OBJECT_DOES_NOT_EXIST_ERROR",
                      "SYNTAX_ERROR",
                      "CONNECTION_DATABASE_TIMEOUT",
                      "VIZ_GET_DF_ERROR",
                      "UNKNOWN_DATASOURCE_TYPE_ERROR",
                      "FAILED_FETCHING_DATASOURCE_INFO_ERROR",
                      "TABLE_SECURITY_ACCESS_ERROR",
                      "DATASOURCE_SECURITY_ACCESS_ERROR",
                      "DATABASE_SECURITY_ACCESS_ERROR",
                      "QUERY_SECURITY_ACCESS_ERROR",
                      "MISSING_OWNERSHIP_ERROR",
                      "USER_ACTIVITY_SECURITY_ACCESS_ERROR",
                      "DASHBOARD_SECURITY_ACCESS_ERROR",
                      "CHART_SECURITY_ACCESS_ERROR",
                      "OAUTH2_REDIRECT",
                      "OAUTH2_REDIRECT_ERROR",
                      "BACKEND_TIMEOUT_ERROR",
                      "DATABASE_NOT_FOUND_ERROR",
                      "TABLE_NOT_FOUND_ERROR",
                      "MISSING_TEMPLATE_PARAMS_ERROR",
                      "INVALID_TEMPLATE_PARAMS_ERROR",
                      "RESULTS_BACKEND_NOT_CONFIGURED_ERROR",
                      "DML_NOT_ALLOWED_ERROR",
                      "INVALID_CTAS_QUERY_ERROR",
                      "INVALID_CVAS_QUERY_ERROR",
                      "SQLLAB_TIMEOUT_ERROR",
                      "RESULTS_BACKEND_ERROR",
                      "ASYNC_WORKERS_ERROR",
                      "ADHOC_SUBQUERY_NOT_ALLOWED_ERROR",
                      "INVALID_SQL_ERROR",
                      "RESULT_TOO_LARGE_ERROR",
                      "GENERIC_COMMAND_ERROR",
                      "GENERIC_BACKEND_ERROR",
                      "INVALID_PAYLOAD_FORMAT_ERROR",
                      "INVALID_PAYLOAD_SCHEMA_ERROR",
                      "MARSHMALLOW_ERROR",
                      "REPORT_NOTIFICATION_ERROR"
                    ],
                    "type": "string"
                  },
                  "extra": {
                    "type": "object"
                  },
                  "level": {
                    "enum": [
                      "info",
                      "warning",
                      "error"
                    ],
                    "type": "string"
                  },
                  "message": {
                    "type": "string"
                  }
                },
                "type": "object"
              },
              "type": "array"
            },
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Gone"
  },
  "422": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Could not process entity"
  },
  "500": {
    "content": {
      "application/json": {
        "schema": {
          "properties": {
            "message": {
              "type": "string"
            }
          },
          "type": "object"
        }
      }
    },
    "description": "Fatal error"
  }
}\n